#include "keys.h"
#include "client.h"
#include "screen.h"

#include <string.h>

#define WIN(NAME, INDEX, X, Y, W, H, VD, FOCUSES, MARK)      \
    {                                                        \
        .name = NAME,                                        \
        .index = INDEX,                                      \
        .x = X,                                              \
        .y = Y,                                              \
        .width = W,                                          \
        .height = H,                                         \
        .vdesk= VD,                                          \
        .mark = MARK                                         \
    },

static Client configs[] = {
#include "config_win.def"
    {
        .name = NULL,
    }
};

#undef WIN

void apply_window_config(Client* cl) {
    int i;
    for (i = 0; configs[i].name; i++) {
        Client* c = &configs[i];
        if (c->index == cl->index && !strcmp(c->name, cl->name)) {
            /* We don't change focus in this function */
            change_state(cl, c->x, c->y, c->width, c->height,
                         c->vdesk, 0, c->mark);
            return;
        }
    }
}
